﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PNG.Model
{
    using System;
    using System.Collections.Generic;

    using PNG.Dapper.Extensions.Utils;
    using System.ComponentModel.DataAnnotations;

    [Table("IdentityUserSessions")]
    public partial class IdentityUserSessions
    {
        [Dapper.Extensions.Utils.Key]
        [AutoIncrement]
        public long Id { get; set; }
        [Required(ErrorMessage = "OwnerUsername is required")]
        [StringLength(50)]
        public string OwnerUsername { get; set; }
        [Required(ErrorMessage = "AuthToken is required")]
        public string AuthToken { get; set; }
        [Required(ErrorMessage = "ExpirationDate is required")]
        public System.DateTime ExpirationDate { get; set; }
        [Required(ErrorMessage = "ModifiedDate is required")]
        public System.DateTime ModifiedDate { get; set; }
    }
}
